//////////////////////////////////////////
// Attrib.cpp
//Copyright (c) 04/22/2020 by BCCSkelton
//////////////////////////////////////////
#include	"Attrib.h"
#include	"AttribProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!Attrib.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		HWND hWnd = FindWindow(NULL, "Attrib");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!Attrib.Create(NULL, hInstance, "IDD_ATTRIB", ModelessProc))
		return 0L;

	//メッセージループに入る
	return Attrib.Loop();
}
